Skip to main content
GET
/
api
/
scheduled-job-schedules
/
{id}
Get ScheduledJobSchedule by ID
curl --request GET \
  --url https://platform.kodexa.ai/api/scheduled-job-schedules/{id} \
  --header 'x-api-key: <api-key>'
import requests

url = "https://platform.kodexa.ai/api/scheduled-job-schedules/{id}"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://platform.kodexa.ai/api/scheduled-job-schedules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "changeSequence": 123,
  "createdOn": "2023-11-07T05:31:56Z",
  "cronExpression": "<string>",
  "id": "<string>",
  "lastEvent": "2023-11-07T05:31:56Z",
  "nextEvent": "2023-11-07T05:31:56Z",
  "type": "<string>",
  "updatedOn": "2023-11-07T05:31:56Z",
  "uuid": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for authentication. Create one from the Kodexa platform UI under Settings > Access Tokens.

Path Parameters

id
string<uuid>
required

Unique identifier (UUID) of the resource.

Response

The ScheduledJobSchedule

A scheduled job schedule defines when a scheduled job should run (cron expression).

changeSequence
integer<int32>
createdOn
string<date-time>
cronExpression
string
id
string
lastEvent
string<date-time> | null
nextEvent
string<date-time> | null
type
string
updatedOn
string<date-time>
uuid
string